import { DBReader } from "./src/dbreader";
import { NWFetcher } from "./src/nwfetcher";
import _ from "underscore";
import { CNOCGFetcher } from "./src/cnocg";
import { ExtraCards } from "./src/ExtraCards";

async function main() {
	const dbreader = new DBReader({ name: "Database", level: "debug" });
	await dbreader.init();
	const cards = await CNOCGFetcher.fetchOnce();
	const missingExtraCards = ExtraCards.filter(c => !cards.some(cc => c.code === cc.code));
	await dbreader.run(cards.concat(missingExtraCards));
	process.exit();
}
main();
